cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        changeLabel: {
            default: null,
            type: cc.Label
        },
        targetFlag: false
    },

    // use this for initialization
    onLoad: function () {
        // this.label.string = this.text;
        cc.find('Canvas/singleColor').on(cc.Node.EventType.TOUCH_START, this.onTouchStart, this);

    },
    onTouchStart(event) {
        this.label.string = 'click!';
        this.targetFlag = true
    },

    changeSprite() {
        //method 1
        // let target = cc.find('Canvas/cocos');
        // let com = target.getComponent(cc.Sprite);
        // if (this.targetFlag) {
        //     com.spriteFrame = cc.find('Canvas/singleColor').getComponent('cc.Sprite').spriteFrame;
        //     this.changeLabel.string = 'change pic';
        // }

        //method 2
        let target = cc.find('Canvas/cocos');
        let com = target.getComponent(cc.Sprite);
        if (this.targetFlag) {
            let spCom = cc.find('Canvas/singleColor').getComponent(cc.Sprite).spriteFrame
            let tex = spCom.getTexture();
            let rect = spCom.getRect();
            let offset = spCom.getOffset();
            let oriSize = spCom.getOriginalSize();
            let rotate = false
            // let 
            let sp = new cc.SpriteFrame(tex,rect,rotate,offset.oriSize);
            com.spriteFrame = sp;
            this.changeLabel.string = 'change pic';
        }
    },
    // called every frame
    update: function (dt) {

    },
});
